=== debian/changelog ===
ros-r2b2-cartographer-ros (0.1.0-4xenial) xenial; urgency=high

  * First unstable development release

 -- The Cartographer Authors <google-cartographer@googlegroups.com>  Thu, 18 May 2017 04:00:00 -0000
