=== debian/control ===
Source: ros-r2b2-cartographer-ros
Section: misc
Priority: extra
Maintainer: The Cartographer Authors <google-cartographer@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liblua5.2-dev, libpcl-dev, libyaml-cpp-dev, ros-r2b2-ament-cmake, ros-r2b2-cartographer, ros-r2b2-cartographer-ros-msgs, ros-r2b2-console-bridge, ros-r2b2-nav-msgs, ros-r2b2-pcl-conversions, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-tf2, ros-r2b2-tf2-eigen, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-urdfdom-headers, ros-r2b2-ros-workspace
Homepage: https://github.com/googlecartographer/cartographer_ros
Standards-Version: 3.9.2

Package: ros-r2b2-cartographer-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.2-dev, libpcl-dev, libyaml-cpp-dev, ros-r2b2-cartographer, ros-r2b2-cartographer-ros-msgs, ros-r2b2-console-bridge, ros-r2b2-nav-msgs, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-tf2, ros-r2b2-tf2-msgs, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Description: Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
 This package provides Cartographer's ROS integration.
